javax.jms

## Interface XAQueueConnection

- All Superinterfaces:
    AutoCloseable, Connection, QueueConnection, XAConnection

      public interface XAQueueConnection
      extends XAConnection, QueueConnection

  An `XAQueueConnection` provides the same create options as `QueueConnection` (optional). The only difference is that an `XAConnection` is by definition transacted.

  The `XAQueueConnection` interface is optional. JMS providers are not required to support this interface. This interface is for use by JMS providers to support transactional environments. Client programs are strongly encouraged to use the transactional support available in their environment, rather than use these XA interfaces directly.

  Since:
    JMS 1.0
  Version:
    JMS 2.0
  See Also:
    `XAConnection`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueueSession` | `createQueueSession(boolean transacted, int acknowledgeMode)` Creates a `QueueSession` object.
    `XAQueueSession` | `createXAQueueSession()` Creates an `XAQueueSession` object.

    - ### Methods inherited from interface javax.jms.XAConnection

      `createSession, createXASession`

    - ### Methods inherited from interface javax.jms.QueueConnection

      `createConnectionConsumer`

    - ### Methods inherited from interface javax.jms.Connection

      `close, createConnectionConsumer, createDurableConnectionConsumer, createSession, createSession, createSharedConnectionConsumer, createSharedDurableConnectionConsumer, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, start, stop`

- - ### Method Detail

    - #### createXAQueueSession

          XAQueueSession createXAQueueSession()
                                              throws JMSException

      Creates an `XAQueueSession` object.
      Returns:
        a newly created `XAQueueSession`
      Throws:
        `JMSException` - if the `XAQueueConnection` object fails to create an `XAQueueSession` due to some internal error.

    - #### createQueueSession

          QueueSession createQueueSession(boolean transacted,
                                        int acknowledgeMode)
                                          throws JMSException

      Creates a `QueueSession` object.
      Specified by:
        `createQueueSession` in interface `QueueConnection`
      Parameters:
        `transacted` - usage undefined
        `acknowledgeMode` - usage undefined
      Returns:
        a newly created `QueueSession`
      Throws:
        `JMSException` - if the `XAQueueConnection` object fails to create a `QueueSession` due to some internal error.
      See Also:
        `Session.AUTO_ACKNOWLEDGE`, `Session.CLIENT_ACKNOWLEDGE`, `Session.DUPS_OK_ACKNOWLEDGE`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.